### Method

# Foundry GitCommitBuilder set_signing_key

since: 1.1

#### Declaration [src]

    void
    foundry_git_commit_builder_set_signing_key (
      FoundryGitCommitBuilder* self,
      const char* signing_key
    )

#### Description [src]

Sets the signing key identifier that will be used for signing the commit.

If set, the commit will be signed using the specified key and the signing format. If set to `NULL`, the commit will not be signed.

Available since: 1.1

Sets property | `Foundry.GitCommitBuilder:signing-key`

#### Parameters

`signing_key`

  Type: `const char*`

  The signing key identifier to use, or `NULL` to disable signing.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.